=== debian/changelog ===
astyle (2.04-0ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1376557)

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 02 Oct 2014 09:44:32 +0200

astyle (2.04-0ubuntu1) utopic; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2014 17:13:46 +0200

astyle (2.03-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on s390x due to using -fpic instead of -fPIC
    - debian/patches/FTBFS_FPIC.patch

 -- Scott Howard <showard@debian.org>  Sun, 23 Mar 2014 10:58:45 -0400

astyle (2.03-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build shared library and Java JNI library (Closes: #452742)
    - debian/patches/set_soname.patch assigns the 0debian0 soversion
  * Lintian cleaning:
    - Errors: privacy-breach-logo and privacy-breach-piwik fixed in
      debian/patches/privacy.patch
    - Debian S-V 3.9.5, no changes

 -- Scott Howard <showard@debian.org>  Sat, 08 Mar 2014 13:21:36 -0500
