=== debian/control ===
Source: astyle
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), default-jdk, dh-exec (>=0.3)
Maintainer: Margarita Manterola <marga@debian.org>
Uploaders: Matteo Cypriani <mcy@lm7.fr>
Standards-Version: 3.9.5
Homepage: http://astyle.sourceforge.net/
Vcs-Git: git://git.debian.org/git/collab-maint/astyle.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/astyle.git

Package: astyle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Source code indenter for C++/C/Java/C# source code
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the command line tool.

Package: libastyle0debian0
Section: libs
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for C++/C/Java/C# source code indenter
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the shared library.

Package: libastyle-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libastyle0debian0 (=${binary:Version})
Description: Library header files for C++/C/Java/C# source code indenter
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the development headers.

Package: libastylej-jni
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java JNI library for C++/C/Java/C# source code indenter
 Artistic Style is a source code indenter, formatter, and beautifier
 for the C, C++, C# and Java programming languages.
 .
 This package contains the Java native interface library.
