## astyle 2.05.1

=== build/clang/Makefile ===
--- 
+++ 
@@ -43,20 +43,20 @@
 ifdef CFLAGS
     CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
     CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
-else 
+else
     CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
     CFLAGSd   = -g $(CBASEFLAGS)
 endif
-CFLAGSs   = -DASTYLE_LIB -fpic $(CFLAGSr)
-CFLAGSsd  = -DASTYLE_LIB -fpic $(CFLAGSd)
+CFLAGSs   = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSr)
+CFLAGSsd  = -DASTYLE_LIB -fPIC -fvisibility=hidden $(CFLAGSd)
 CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
 CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
-CFLAGSsj  = -DASTYLE_JNI -fpic $(CFLAGSr) $(JAVAINCS)
-CFLAGSsjd = -DASTYLE_JNI -fpic $(CFLAGSd) $(JAVAINCS)
+CFLAGSsj  = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSr) $(JAVAINCS)
+CFLAGSsjd = -DASTYLE_JNI -fPIC -fvisibility=hidden $(CFLAGSd) $(JAVAINCS)
 
 # define link options
 ifdef LDFLAGS
-    LDFLAGSr   = $(LDFLAGS) 
+    LDFLAGSr   = $(LDFLAGS)
     LDFLAGSd   = $(LDFLAGS)
 else
     LDFLAGSr   = -s
@@ -131,14 +131,14 @@
 	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
 
-shared:  libastyle.so
-libastyle.so:  $(OBJs)
+shared:  libastyle-2.05.1.so
+libastyle-2.05.1.so:  $(OBJs)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
-shareddebug:  libastyled.so
-libastyled.so:  $(OBJsd)
+shareddebug:  libastyle-2.05.1d.so
+libastyle-2.05.1d.so:  $(OBJsd)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
@@ -155,14 +155,14 @@
 	ar crs $(bindir)/$@ $^
 	@ echo
 
-java:  libastylej.so
-libastylej.so:  $(OBJsj)
+java:  libastyle-2.05.1j.so
+libastyle-2.05.1j.so:  $(OBJsj)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSr) -o $(bindir)/$@ $^
 	@ echo
 
-javadebug:  libastylejd.so
-libastylejd.so:  $(OBJsjd)
+javadebug:  libastyle-2.05.1jd.so
+libastyle-2.05.1jd.so:  $(OBJsjd)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSd) -o $(bindir)/$@ $^
 	@ echo
