=== debian/changelog ===
astyle (2.05.1-0ubuntu1) xenial; urgency=medium

  * New upstream version. Closes: #789215.
    - Fix issue 305. Closes: #769524.
  * New library soname, remove he Conflict/Replaces.
  * Mark the library packages as M-A: same.
  * Enable parallel builds.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Feb 2016 12:44:48 +0100

astyle (2.04-1.1ubuntu1) xenial; urgency=medium

  * Merge With Debian; remaining changes:
    - libastyle0debian0: Conflict/Replaces libastyle0debian0v5.
      The change can be dropped after the 16.04 LTS release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Feb 2016 12:33:28 +0100

astyle (2.04-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix FTBFS with DEB_BUILD_OPTIONS=nostrip (Closes: #812658)
  * Fix JNI include path (Closes: #814580)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 20 Feb 2016 22:07:28 +0000

astyle (2.04-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream release. (Closes: #757809)
    + Update debian/copyright.
    + Update package description.
    + Refresh patches (and improve DEP-3 tags).
  * Shared lib: don't pre-depend on multiarch-support.
  * Simplify the man page.
  * Use canonical VCS fields in debian/control.
  * Switch packagers' roles (Margarita as Uploader and Matteo as Maintainer).
  * Delete wrong entry in debian/NEWS.

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 08 Sep 2014 11:14:27 -0400
