=== debian/control ===
Source: astyle
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), default-jdk, dh-exec (>=0.3)
Maintainer: Matteo Cypriani <mcy@lm7.fr>
Uploaders: Margarita Manterola <marga@debian.org>
Standards-Version: 3.9.7
Homepage: http://astyle.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/astyle.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/astyle.git

Package: astyle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Source code indenter for C, C++, Objective-C, C#, and Java
 Artistic Style is a source code indenter, formatter, and beautifier for
 the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
 .
 This package contains the command line tool.

Package: libastyle2.05
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared library for Artistic Style
 Artistic Style is a source code indenter, formatter, and beautifier for
 the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
 .
 This package contains the shared library.

Package: libastyle-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
 libastyle2.05 (=${binary:Version})
Description: Library header files for Artistic Style
 Artistic Style is a source code indenter, formatter, and beautifier for
 the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
 .
 This package contains the development headers.

Package: libastylej-jni
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java JNI library for Artistic Style
 Artistic Style is a source code indenter, formatter, and beautifier for
 the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
 .
 This package contains the Java native interface library.
