=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
 
 # Avoid unneeded library dependencies
+CFLAGS = $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
 
@@ -17,15 +18,15 @@
     BUILD_TARGET = astyled
 endif
 
-# For hardening options
-CFLAGS += $(CPPFLAGS)
-
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
-	dh_auto_build -Smakefile -- -C build/gcc $(BUILD_TARGET) shared java
-	[ "$(BUILD_TARGET)" = "astyle" ] || mv bin/$(BUILD_TARGET) bin/astyle
+	dh_auto_build -Smakefile -- -C build/gcc \
+		$(BUILD_TARGET) shared java \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+
+	[ "$(BUILD_TARGET)" = "astyle" ] || mv build/gcc/bin/$(BUILD_TARGET) build/gcc/bin/astyle
 
 override_dh_auto_clean:
 	dh_auto_clean
