=== debian/changelog ===
astyle (2.06-2) unstable; urgency=medium

  * Mark two symbols as optional.

 -- Matteo Cypriani <mcy@lm7.fr>  Fri, 20 Jan 2017 10:27:16 -0500

astyle (2.06-1) unstable; urgency=medium

  * New upstream version. Closes: #789215.
    + Fixed last character repeated in output when reading from stdin
      (issue 305). Closes: #769524.

  [ Matthias Klose ]
  * Mark the library packages as M-A: same.
  * Enable parallel builds.
  * debian/astyle.doc-base: change HTML documentation index.

  [ Margarita Manterola ]
  * Acknowledge NMU.
  * Drop PIC patch (applied upstream).

  [ Matteo Cypriani ]
  * libastyle: new soname and package name: 0debian2.06
    (no reverse-dependencies).
  * Update debian/copyright.
    + License changed to MIT.
  * Patches:
    + Drop fix-jni-include-path.patch (fixed upstream).
    + Add hardening.patch (enables PIE).
    + Rewrite privacy.patch.
    + Refresh set_soname.patch.
  * debian/rules: improve flag import, BINDNOW hardening.
  * Bump Standards-Version to 3.9.8 (no changes needed).
  * Switch to debhelper compat 10.
  * Suggest xdg-utils, useful for the new html (-!) option.
  * Use secure URIs for Vcs-Git and Vcs-Browser.
  * Add symbols file.
  * Add lintian overrides for libastyle and libastyle-jni.
  * Add libastyle-dev.NEWS, rename NEWS to astyle.NEWS.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 19 Jan 2017 16:30:33 -0500
