=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: astyle
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9), default-jdk, dh-exec (>=0.3)
+Build-Depends: debhelper (>= 10), default-jdk, dh-exec (>=0.3)
 Maintainer: Matteo Cypriani <mcy@lm7.fr>
 Uploaders: Margarita Manterola <marga@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://astyle.sourceforge.net/
-Vcs-Git: git://anonscm.debian.org/collab-maint/astyle.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/astyle.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/astyle.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/astyle.git
 
 Package: astyle
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: xdg-utils
 Description: Source code indenter for C, C++, Objective-C, C#, and Java
  Artistic Style is a source code indenter, formatter, and beautifier for
  the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
  .
  This package contains the command line tool.
 
-Package: libastyle2.05
+Package: libastyle0debian2.06
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libastyle2.05 (=${binary:Version})
+ libastyle0debian2.06 (=${binary:Version})
 Description: Library header files for Artistic Style
  Artistic Style is a source code indenter, formatter, and beautifier for
  the C, C++, C++/CLI, Objective-C, C# and Java programming languages.
