=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,20 @@
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
 
-JAVA_HOME = /usr/lib/jvm/default-java/
-DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
+# Enable BINDNOW. PIE is handled through hardening.patch for now.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+# Upstream build system uses CFLAGS only
+CFLAGS = $(CPPFLAGS) $(CXXFLAGS)
 
 # Avoid unneeded library dependencies
-CFLAGS = $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
-LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
+
+JAVA_HOME = /usr/lib/jvm/default-java/
+DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*-.*,\1,p')
 
 # Target for stripping / not stripping
 BUILD_TARGET = astyle
